# Payout Detail

## Get Payout Detail

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout/detail`

This endpoint allow you get payout detail.

#### Headers

| Name                                            | Type   | Description                         |
| ----------------------------------------------- | ------ | ----------------------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; charset=UTF-8     |
| AppId<mark style="color:red;">\*</mark>         | string | Get App ID from dashboard.          |
| Authorization<mark style="color:red;">\*</mark> | string | SHA256($sorted\_params + $app\_key) |

#### Request Body

| Name                                              | Type    | Description                     |
| ------------------------------------------------- | ------- | ------------------------------- |
| transaction\_id<mark style="color:red;">\*</mark> | string  | Pagsmile transaction id         |
| timestamp<mark style="color:red;">\*</mark>       | integer | unix timestamp, e.g. 1628512575 |

{% tabs %}
{% tab title="200 Payout detail successfully retrieved" %}

```
{
    "code": 200,
    "msg": "success",
    "time": 1628569551,
    "data": {
        "reference_id": "custom_codexxxx",
        "transaction_id": "TS202108090705014iNqtxektRS",
        "user_name": "GUILHERME ALVES DE SOUZA",
        "bank_id": "EXXXXD", // Available for Brazil pix & banktransfer
        "amount": "0.55",
        "source_amount": "3.58",
        "settlement_amount": "0.55",
        "source_currency": "BRL",
        "arrival_amount": "0.55",
        "arrival_currency": "BRL",
        "exchange_rate": "1",
        "tax": "0.02",
        "fee": "3.01",
        "fee_user": "merchant",
        "transaction_status": "PAID",
        'remark": "success", //When transaction_status is REJECTED or REFUNDED, remark will be failed reason
        "create_time": 1628492701,
        "update_time": 1628495767,
        "extra": { //Only for CASHOUT(Colombia) and CASH UPT (Turkey) payout
            "pin": "", //Only for CASHOUT payout
            "valid_days": 30, //Only for CASHOUT payout
            "upt_ref": "" //Only for CASH UPT payout
        }
    }
}
```

{% endtab %}

{% tab title="400 Request has expired" %}

```
{
    "code": 4001009,
    "msg": "request has expired",
    "time": 1628512773,
    "data": {}
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://sandbox.transfersmile.com/api/payout/detail' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
    "transaction_id": "TPO2108090705014iNqtxektRS",
    "timestamp": 1628569550
}'
```

{% hint style="info" %}
Note:  ***94FAC\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*68548*** is pagsmile's test merchant id for sandbox, and ***d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302*** is authorization token associated with the test App ID.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/payout/payout-detail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
